 //////////////////////////////////////////////////////////////////////////////
//
// PocketFrog - The Game Library for Pocket PC Devices
// Copyright 2002  Thierry Tremblay
//
// Permission to use, copy, modify, distribute and sell this software
// and its documentation for any purpose is hereby granted without fee,
// provided that the above copyright notice appear in all copies and
// that both that copyright notice and this permission notice appear
// in supporting documentation.  Thierry Tremblay makes no representations
// about the suitability of this software for any purpose.
// It is provided "as is" without express or implied warranty.
//
//////////////////////////////////////////////////////////////////////////////

#ifndef POCKETFROG_SAMPLE_BLIT_H
#define POCKETFROG_SAMPLE_BLIT_H

#include <PocketFrog.h>

using namespace Frog;



//////////////////////////////////////////////////////////////////////////////
//
// BlitSample
//
//////////////////////////////////////////////////////////////////////////////

class BlitSample : public Game
{
public:

    // Construction
    BlitSample();

    // Framework callbacks
    virtual bool GameInit();
    virtual void GameEnd();
    virtual void GameLoop();
    virtual void StylusDown( Point stylus );
    virtual void StylusUp( Point stylus );
    virtual void StylusMove( Point stylus );


	void BlitSample::ResetPictureMelt(void);
	int BlitSample::DoPictureMelt(DisplayDevice* display, Surface * s1, Surface * s2);

private:

		// Data

    Surface* m_background;      // Background image
    Surface* m_background2;      // Background image
    Surface* m_numbers;         // Numbers to display FPS

    int      m_FPSCounter;      // FPS counter
    uint32_t m_FPSTicks[16];    // Ticks for last 16 frames

#define MINCOLSPEED	7
#define MAXCOLSPEED	15

#define COLSIZE		3	
#define ITERSPERFRAME	240/COLSIZE	

	float slidecolumns[240/COLSIZE];
	float slidespeeds[240/COLSIZE];
	int melttype;
	Surface* sp1;
	Surface* sp2;
};



#endif
